# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(AppConfig.pm) perl(Date/Business.pm) perl(ExtUtils/MakeMaker.pm) perl(File/stat.pm) perl(Parallel/ForkManager.pm) perl(Test.pm) perl(Test/More.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define upstream_name	 Net-FTP-Common
%define upstream_version 7.0.d

Name:       perl-%{upstream_name}
# perl_convert_version no longer happy with the d
Version:    7.0.0d
Release:    alt1_8

Summary:	Simplify common usages of Net::FTP 
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	ftp://ftp.perl.org/pub/CPAN/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz


BuildRequires:	perl(Net/FTP.pm)

BuildArch:	noarch
Source44: import.info


%description
This module is intended to make the common uses of Net::FTP a one-line,
no-argument affair. In other words, you have 100% programming with
Net::FTP. With Net::FTP::Common you will have 95% configuration and 5%
programming.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor
%make

%if 0
%check
%{__make} test
%endif

%install
%makeinstall_std

%files
%doc README META.yml
%{perl_vendor_privlib}/Net/FTP
%{perl_vendor_privlib}/TestConfig.pm


%changelog
* Thu Oct 04 2018 Igor Vlasenko <viy@altlinux.ru> 7.0.0d-alt1_8
- update by mgaimport

* Wed Jul 27 2016 Igor Vlasenko <viy@altlinux.ru> 7.0.d-alt3_7
- update by mgaimport

* Sun Feb 21 2016 Igor Vlasenko <viy@altlinux.ru> 7.0.d-alt3_6
- update by mgaimport

* Fri Dec 19 2014 Igor Vlasenko <viy@altlinux.ru> 7.0.d-alt3_5
- update by mgaimport

* Tue Oct 07 2014 Igor Vlasenko <viy@altlinux.ru> 7.0.d-alt3_4
- update by mgaimport

* Tue Sep 02 2014 Cronbuild Service <cronbuild@altlinux.org> 7.0.d-alt3_3
- rebuild to get rid of unmets

* Tue Oct 29 2013 Igor Vlasenko <viy@altlinux.ru> 7.0.d-alt2_3
- mga update

* Fri Sep 13 2013 Cronbuild Service <cronbuild@altlinux.org> 7.0.d-alt2_2
- rebuild to get rid of unmets

* Mon Aug 12 2013 Igor Vlasenko <viy@altlinux.ru> 7.0.d-alt1_2
- mgaimport update

* Thu Jul 25 2013 Igor Vlasenko <viy@altlinux.ru> 7.0.d-alt1_1
- converted for ALT Linux by srpmconvert tools

